EMF 1.0

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
EMF::WCHARSTR Struct Reference

Represent a wide (UNICODE) character string in a simple way. More...

`#include <libemf.h>`

## Public Member Functions
| WCHARSTR (WCHAR *const string, const int length)

## Public Attributes
WCHAR *const | string_
| String of WCHARs.
const int | length_
| Number of WCHARs in string.

## Detailed Description

Represent a wide (UNICODE) character string in a simple way.

Even (widechar) strings have to be byte swapped. This structure allows us to provide a uniform stream-like interface for writing out all the components of metafiles.

## Constructor & Destructor Documentation

EMF::WCHARSTR::WCHARSTR | ( | WCHAR *const | string,
|  | const int | length
| ) |  |
| inline

Simple constructor.

Parameters

  string | pointer to string of WCHARS.
  length | number of WCHARS in string.

The documentation for this struct was generated from the following file:

- libemf.h